#296 closed defect (fixed)

Unlimited test does not deal with system tasks

Reported by: Chris Johns Owned by: Joel Sherrill
Priority: lowest Milestone: 4.9
Component: unspecified Version: 4.5
Severity: normal Keywords:
Cc: bugs@…, chrisj@… Blocked By:
Blocking:

Description

The auto-extend disable test (test1) assumes only the test tasks are running. This may not be the case as BSP created tasks can be running. For example the monitor, network tasks, and IO driver tasks.

Test1 tries to make the configuration table number of tasks. If the BSP has consumed a few of these the test fails. The failure is a result of test1 actually passing.

Also, the test (infact all tests) assumes it can control the configuration table. This could/should be part of the BSP rather than the application.

Release:
RTEMS-4.5.0 + CVS

Environment:
Cybertec SFP-101 (Coldfire), bare-5200, tests built external to RTEMS.

Attachments (1)

pr296.tar.gz (665 bytes) - added by Chris Johns on Dec 3, 2006 at 1:31:12 PM.
pr296.tar.gz

Download all attachments as: .zip

Change History (5)

comment:1 Changed on Jan 3, 2003 at 7:51:49 PM by Joel Sherrill

Status: assignedclosed

comment:2 Changed on Jan 3, 2003 at 9:57:11 PM by Joel Sherrill

Status: closedwaiting

Changed on Dec 3, 2006 at 1:31:12 PM by Chris Johns

Attachment: pr296.tar.gz added

pr296.tar.gz

comment:3 Changed on Aug 5, 2008 at 4:18:51 PM by Joel Sherrill

Milestone: 4.9
rep_platform: All
Resolution: fixed
Status: assignedclosed

unlimited reliably compiles and runs now. This PR has long been resolved

comment:4 Changed on Oct 10, 2017 at 6:46:55 AM by Sebastian Huber

Component: testingunspecified
Note: See TracTickets for help on using tickets.